Bug 890541 - [RFE] An option to gather relevant info for given package(s)
Summary: [RFE] An option to gather relevant info for given package(s)
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: sos
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Bryn M. Reeves
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-27 16:22 UTC by David Kutálek
Modified: 2017-02-23 16:41 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-23 16:41:50 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github sosreport sos issues 940 0 None open An option to gather relevant info for given package(s) 2020-10-05 17:22:27 UTC

Description David Kutálek 2012-12-27 16:22:14 UTC
Description of problem:

ABRT is calling sosreport during crash, with very limited set of plugins. ABRT knows which package contains crashed executable, and could know in future packages with relevant libraries.

Would be neat if ABRT could pass package name(s) when calling sosreport to gather some crash specific info. It could be eg.:

 - config files for given package
 - rpm -V for given package
 - something more?

Maybe, it can even enable some relevant plugins, but this is probably too expensive to implement and manage.

Syntax could be eg:
sosreport --only=anaconda --only... --package=thunderbird

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Sandro Bonazzola 2017-02-23 16:41:50 UTC
The problem described has been handled upstream in https://github.com/sosreport/sos/issues/940


Note You need to log in before you can comment on or make changes to this bug.